first day to Ruby on rails

作者: 陌子轩
发布时间:2015-07-13 11:31:43

第一件事就是安装ruby, rubygems,rails以及数据库系统

1.Ubuntu本来就已经安装了Ruby 1.8.7
但是rails要求大于或等于1.9.3,所以要到官方网站下载源码包来编译安装。
这个需要依赖很多的依赖关系包:
build-essential
bison
openssl
libreadline6
libreadline6-dev
curl
zlib1g-dev
libssl-dev
libyaml-dev
libxml2-dev
libxslt-dev
autoconf
libc6-dev
使用sudo apt-get install安装即可
2.sudo apt-get install rubygems 安装rubygems,注意不是gems
3.sudo gem install rails --no-ri --no-rdoc 安装rails

以上是我的安装方法,没有用到太多东西,但是官方推荐使用RVM来安装,可以方便管理和使用多个版本的Ruby以及rails,详见:

http://blog.sudobits.com/2012/05/02/how-to-install-ruby-on-rails-in-ubuntu-12-04-lts/

但是我暂时用不上多个版本,所以本着干净的原则,就简单的直接安装了。一路下来没有什么大问题。

新手建议先使用sqlite作为数据库。

sudo apt-get install libsqlite3-0 libsqlite3-dev sqlite3

然后是SQLiteAdapter:

gem install sqlite3 --no-ri --no-rdoc

第一个hello world程序请看这里:

http://ihower.tw/rails3/firststep.html

来源:http://www.cnblogs.com/mrbin/p/3511449.html

推荐: